# Uses of Class
org.codehaus.janino.Java.EnumConstant

Packages that use Java.EnumConstant
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.EnumConstant in org.codehaus.janino

Methods in org.codehaus.janino that return Java.EnumConstant
Modifier and Type
Method
Description
`Java.EnumConstant`
Parser.`parseEnumConstant()`
EnumConstant := [ Annotations ] Identifier [ Arguments ] [ ClassBody ]
Methods in org.codehaus.janino that return types with arguments of type Java.EnumConstant
Modifier and Type
Method
Description
`List<Java.EnumConstant>`
Java.EnumDeclaration.`getConstants()`
`List<Java.EnumConstant>`
Java.MemberEnumDeclaration.`getConstants()`
`List<Java.EnumConstant>`
Java.PackageMemberEnumDeclaration.`getConstants()`
Methods in org.codehaus.janino with parameters of type Java.EnumConstant
Modifier and Type
Method
Description
`void`
Java.EnumDeclaration.`addConstant(Java.EnumConstant ec)`
Adds another constant to this enum declaration.
`void`
Java.MemberEnumDeclaration.`addConstant(Java.EnumConstant ec)`
`void`
Java.PackageMemberEnumDeclaration.`addConstant(Java.EnumConstant ec)`
`R`
Visitor.TypeDeclarationVisitor.`visitEnumConstant(Java.EnumConstant ec)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`

## Uses of Java.EnumConstant in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.EnumConstant
Modifier and Type
Method
Description
`Java.EnumConstant`
DeepCopier.`copyEnumConstant(Java.EnumConstant subject)`
Methods in org.codehaus.janino.util with parameters of type Java.EnumConstant
Modifier and Type
Method
Description
`Java.EnumConstant`
DeepCopier.`copyEnumConstant(Java.EnumConstant subject)`
`void`
AbstractTraverser.`traverseEnumConstant(Java.EnumConstant ec)`
`void`
Traverser.`traverseEnumConstant(Java.EnumConstant ec)`